Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path

From: Jacob Hrbek <[email-masked]>
Date: Mon, 19 Sep 2022 04:28:26 +0000

>> (2) 'native-inputs' (or 'inputs'), is unbound.  For information on how 

>> to use search-input-file, inputs and phases, see the manual, in particular (guix)Build Utilities (index entry: search-input-file) >> and 

>> its example.

I've been searching through that thing endlessly for almost 5 hours >_> it doesn't help much for that.. I can grep the code to look for usage though which is what I did here ^-^

>> If that's not sufficient, you can insert an (impersonal) link to the 

>> Guix issue

meh, imho takes too much time especially when it's from a newbie like me who needs guidance which adds bunch of useless info to the issue.

>> which has all the 

>> relevant information (which is available even when you aren't available 

>> for chatting, and also when your IRC nick is unknown or if you're gone).

The idea is that people are using chat/client that has chat history and sends notifications so that people can respond quickly or when they are available worst case sending an email..

-- Jacob "Kreyren" Hrbek

------- Original Message -------
On Sunday, September 18th, 2022 at 11:50 PM, Maxime Devos <[email-masked]> wrote:

> On 18-09-2022 23:32, Jacob Hrbek wrote:
> 

> > On Ne, zář 18 2022 at 23:14:12 +0200, Maxime Devos
> > [email-masked] wrote:
> > 

> > > I find (search-input-file inputs "/bin/qemu-img") clearer -- 'inputs'
> > > / 'native-inputs' is sufficiently complicated on its own, no need to
> > > bring %build-inputs and friends in the equation when it can be avoided.
> > 

> > That ain't working for me: https://i.imgur.com/Co4Xsjl.png
> > https://i.imgur.com/Co4Xsjl.png
> 

> Quoting the relevant code would be sufficient, no need for image links.
> Besides, text is more accessible than images of text, text would reach
> a wider audience.
> 

> > unbound-variable #f "Unbound variable: ~S" (native-inputs) #f
> 

> (1) 'qemu-minimal' is in the wrong place, it needs to be in 'inputs',
> not 'native-inputs', otherwise it is compiled for the wrong
> architecture. (In both the phase and the inputs/native-inputs field)
> (2) 'native-inputs' (or 'inputs'), is unbound. For information on how
> to use search-input-file, inputs and phases, see the manual, in
> particular (guix)Build Utilities (index entry: search-input-file) and
> its example.
> 

> > > (1) the convention is TODO or FIXME, not NOTE It's not: - TODO as in "To Do something" or "for something to be done"
> > > - FIXME as in "Low priority thing or quality assurance something that
> > > needs to be fixed"
> 

> A missing hardcoded file name can easily be a (usually low-priority)
> bug, so FIXME applies, it's also something to investigate and solve (if
> appropriate), so TODO applies.
> 

> > More like handing over note to the next guy about possible issue in the
> > future and leaving the signature here so that they can just go on chat
> 

> The required information is already in the "TODO: [stuff about file
> names]", they do not need to go 'on chat', and if they do anyway,
> hardcoding file names is a relatively well-known solution, so I don't
> expect a contact person to be needed.
> 

> If that's not sufficient, you can insert an (impersonal) link to the
> Guix issue https://issues.guix.gnu.org/issue/57809, which has all the
> 

> relevant information (which is available even when you aren't available
> for chatting, and also when your IRC nick is unknown or if you're gone).
> 

> Also, there are no gender restrictions in Guix.
> 

> Greetings,
> Maxime.